> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/credit-life-insurance-flow.md).

# Credit Life Insurance Flow

## Integrate Insurpass API

With Insurpass' API, you can easily embed the Credit Life Insurance into your application. To learn more on what the Credit Life Insurance is, click [here](https://app.gitbook.com/@insurpass/s/insurpass-api-documentation/build-with-insurpass/credit-life-insurance). For Credit Life Insurance API references, click [here](https://app.gitbook.com/@insurpass/s/insurpass-api-documentation/~/drafts/-MkDlMN0I4ghQiKsy9AW/insurpass-api-reference/micro-health-insurance).

## Borrower Subscribes

Customer subscribes for the Credit Life Insurance Plan on any lending app or Bank operation staff signs up customers on a microfinance bank software.

## Premium Collection

Payment for the Credit Life Insurance is calculated as part of the disbursed loan to the borrower and simultaneously remitted to Insurpass upon the disbursement of the loan to the borrower.

## Customer KYC Details

Through the API integration, customer's transaction details are passed to Insurpass via an API endpoint.

## Transaction Success Notification

Borrower receives SMS, email, policy certificate to confirm the purchase of the Credit Life Insurance plan.

## Claims

Claims will be paid should there be a default on a borrower's loan due to a borrower's death, critical illness or permanent disability after claims documents are duly verified. Claims is initiated by the offer of the MFB or Online lending application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/credit-life-insurance-flow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
